Subject: [Sipping] Re: Draft resource priority

From: Henning Schulzrinne <[email-masked]>
Date: Sat, 02 Mar 2002 13:55:27 -0500

> There should not be a total restriction against adding new priorities within
> a namespace between others. The DSN can't be prevented from ever expanding
> its set of priorities. It already states (in Annex A, but should be moved)
> that unrecognized values are treated as Routine (the lowest). Granted, the
> network would have to ensure upgrade of all equipment before making full use
> of a new value, but it should be possible to do this. At most, the text
> should recommend (with "SHOULD") that new values not be added, as in the
> previous draft. Or a statement like:
> 
> New priority values MAY be added to a namespace, however, it SHOULD be
> understood that any new value would continue to be treated the same as the
> lowest assigned value by equipment which has not been upgraded to take into
> account the newly registered value.

Wording revised. Hopefully, we can now agree on this rather minor point.

> 
> Annex A
> 
> "critic-ecp" should be added to the list in the first paragraph. The
> statement about what is highest and lowest can be deleted, since it is stated
> in the third paragraph. Since this is a "well-known" set of priorities, and
> very short, it is useful to include its definition here.

Done.

> 
> The statement in third paragraph about the treatment of additional values
> should  be moved to the main body of the draft to apply to all cases, not
> just the DSN namespace. It should refer to "priority value", not "extension
> parameter", since no place else in the draft refers to it as "extension
> parameter" (unless that should clearly be understood to be the part after the
> "dot"). The default (when the value is unrecognized) should be the lowest
> value assigned (in the general case) rather than "routine" (only for DSN).

Removed sentence; as you say, it's no longer relevant.

> Mike

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Henning Schulzrinne <[email-masked]>
Date: Sat, 02 Mar 2002 13:56:53 -0500

Glad you caught that.

[email-masked] wrote:
> 
> Minor comment:
> 
> In the new Annex B, it states:
> 
> with "0" being the lowest value and the "4" the highest.
> 
> Current Q.735 defines "0" as the highest and "4" as the lowest. Although this
> seems non-intuitive, this definition should be retained there. The idea is
> for SIP proxies to not have to do anything with this field - just copy it
> directly from/to the Q.735 message (except maybe check that it is in the
> range 0-4).
> 
> Mike